Component({
  options: {
    addGlobalClass: true
  },
  externalClasses: ['nav-width'],
  /**
   * 组件的属性列表
   */
  properties: {
    nav: Array,
    active: null
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    change(e) {
      const { item } = e.target.dataset

      this.triggerEvent('change', item)
    }
  }
})
